Subject: categories: Re: Laws

From: "Prof. Peter Johnstone" <[email-masked]>
Date: Tue, 8 Aug 2006 09:38:02 +0100 (BST)

The following seems so obvious that I suspect it's not what Tom is
really asking for; but it seems to me to be an answer to his
question. A law in Tom's sense is just a parallel pair of arrows
F(X) \rightrightarrows F(1) in the algebraic theory T under
consideration (thinking of T as the dual of the category of
finitely-generated free algebras). To get the theory of algebras
satisfying a given set S of laws, you just need to construct the
product-respecting congruence on T generated by S (i.e., the usual
closure conditions for a congruence, plus the condition that
f ~ f' and g ~ g' imply f x g ~ f' x g'), and factor out by it.

Now any T-algebra A (in a category C, say) corresponds to a product-
preserving functor F: T --> C; and the set of laws satisfied by A
is just the (necessarily product-respecting) congruence generated
by F, i.e. the set of parallel pairs in T having the same image
under F. Is there anything more to it than that?

Peter Johnstone
------------
On Mon, 7 Aug 2006, Tom Leinster wrote:

> Dear category theorists,
>
> Here's something that I don't understand.  People sometimes talk about
> algebraic structures "satisfying laws".  E.g. let's take groups.  Being
> abelian is a law; it says that the equation xy = yx holds.  A group G
> "satisfies no laws" if
>
>     whenever X is a set and w, w' are distinct elements of the free
>     group F(X) on X, there exists a homomorphism f: F(X) ---> G
>     such that f(w) and f(w') are distinct.
>
> For example, an abelian group cannot satisfy no laws, since you could take
> X = {x, y}, w = xy, and w' = yx.  There are various interesting examples
> of groups that satisfy no laws.
>
> To be rather concrete about it, you could define a "law satisfied by G" to
> be a triple (X, w, w') consisting of a set X and elements w, w' of F(X),
> such that every homomorphism F(X) ---> G sends w and w' to the same thing.
>  A law is "trivial" if w = w'.  Then "satisfies no laws" means "satisfies
> only trivial laws".
>
> You could then say: given a group G, consider the groups that satisfy all
> the laws satisfied by G.  (E.g. if G is abelian then all such groups will
> be abelian.)  This is going to be a new algebraic theory.
>
> What bothers me is that I feel there must be some categorical story I'm
> missing here.  Everything above is very concrete; for instance, it's
> heavily set-based.  What's known about all this?  In particular, what's
> known about the process described in the previous paragraph, whereby any
> theory T and  T-algebra G give rise to a new theory?
>
> Thanks,
> Tom
>
>
>
>
>